Get All Floorplans

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /o/op/data/{businessLocationId}/floorplans

Returns the floorplans for a specific business location.

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Query parameters

  • expandTables boolean

    If true, the response will include the table details for each floorplan. If false, the response will only include the name and id for the floorplans.

    Default value is true.

Responses

  • 200 application/json

    Floorplans

    Hide response attributes Show response attributes object
    • id integer(int64)

      The unique identifier for the floorplan.

    • name string

      The name of the floorplan.

    • tables array[object]
      Hide tables attributes Show tables attributes object

      The tables under this floorplan.

      • number integer(int32)

        The table number.

      • reference string

        The table reference.

      • id string

        The unique identifier for this table.

      • active boolean

        If the table is active.

      • description string

        The table description.

      • defaultClientCount integer(int32)

        The default client count for this table.

  • 404

    Not Found

    Indicates that the business location has no floorplans configured.

GET /o/op/data/{businessLocationId}/floorplans
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/data/45454565682155/floorplans' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 141948669132976,
    "name": "Terrace",
    "tables": [
      {
        "number": 1,
        "reference": "abcdefg123456",
        "id": "141948669132977",
        "active": true,
        "description": "Table 1",
        "defaultClientCount": 4
      }
    ]
  }
]